{
  "rules": [
    {
      "type": "mountToStandCrossbar",
      "description": "Only 1 mount option can be selected",
      "check": "mountOptions.length === 1"
    },
    {
      "type": "hingeToStandCrossbar",
      "description": "Only 1 hinge option can be selected",
      "check": "hingeOptions.length === 1"
    },
    {
      "type": "standCrossbarSupportToStandCrossbar",
      "description": "Only 1 stand crossbar support option can be selected",
      "check": "standCrossbarSupportOptions.length === 1"
    }
  ],
  "requiredParts": {
    "motor": true,
    "powerSupply": true,
    "actuatorMount": true,
    "pcbMount": true
  },
  "optionalParts": {
    "toyMounts": false,
    "standParts": false
  }
}
